# opendmarc_util_clearargv()

[back to index]

SYNOPSIS |
    #include <dmarc.h>
    u_char ** opendmarc_util_clearargv(
    		u_char **ary
    );
Clears an already allocated NULL-terminated array of strings.
DESCRIPTION |
Called When | `opendmarc_util_clearargv()` may be called anytime.
ARGUMENTS |
Argument | Description
--- | ---
ary | The NULL-terminated array of strings to deallocate.
RETURN VALUES | NULL -- Always.
NOTES | This frees each of the strings first, then frees the array.

Copyright (c) 2012, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the license.